#### D.3.1.21 permrow

Procedure from library `matrix.lib` (see matrix_lib).

Usage:
  permrow(A,r1,r2); A matrix, r1,r2 positive integers

Return:
  matrix, A being modified by permuting rows r1 and r2

Example:

    LIB "matrix.lib";
    ring r=32003,(x,y,z),lp;
    matrix A[3][3]=1,2,3,x,y,z,7,8,9;
    print(A);
    ==> 1,2,3,
    ==> x,y,z,
    ==> 7,8,9
    print(permrow(A,2,1));
    ==> x,y,z,
    ==> 1,2,3,
    ==> 7,8,9

User manual for Singular version 4.4.1, 2025, generated by texi2html.